Name:           python-quickstart-vdk
Version:        0.2.1591823610
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Versatile Data Kit SDK packaging containing common plugins to get started quickly using it.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/vmware/versatile-data-kit
Source:         %{pypi_source quickstart_vdk}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'quickstart-vdk' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-quickstart-vdk
Summary:        %{summary}

%description -n python3-quickstart-vdk %_description


%prep
%autosetup -p1 -n quickstart_vdk-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-quickstart-vdk -f %{pyproject_files}


%changelog
%autochangelog